compareFits               package:nlme               R Documentation

Compare Fitted Objects

Description:

     The columns in 'object1' and 'object2' are put together in
     matrices which allow direct comparison of the individual elements
     for each object. Missing columns in either object are replaced by
     'NA's.

Usage:

     compareFits(object1, object2, which)

Arguments:

object1,object2: data frames, or matrices, with the same row names, but
          possibly different column names. These will usually
          correspond to coefficients from fitted objects with a
          grouping structure (e.g. 'lme' and 'lmList' objects).

   which: an optional integer or character vector indicating which
          columns in 'object1' and 'object2' are to be used in the
          returned object. Defaults to all columns.

Value:

     a three-dimensional array, with the third dimension given by the
     number of unique column names in either 'object1' or 'object2'. To
     each column name there corresponds a matrix with as many rows as
     the rows in 'object1' and two columns, corresponding to 'object1'
     and 'object2'. The returned object inherits from class
     'compareFits'.

Author(s):

     Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates
     bates@stat.wisc.edu

See Also:

     'plot.compareFits', 'pairs.compareFits', 'comparePred', 'coef',
     'random.effects'

Examples:

     data(Orthodont)
     fm1 <- lmList(Orthodont)
     fm2 <- lme(fm1)
     compareFits(coef(fm1), coef(fm2))

